clear all;
m	= 100;
n	= 75;
rk	= rcheb(m);
a	= -3;
b	= 3;
xk	= (rk+1)*(b-a)/2+a;
   X	= chebychev(rk,n);
   Y	= min(max(-1.5,(xk-0.5).^3),2);
   a	= X\Y;
   G	= X*a;
h=plot(xk,Y-G);
set(gca,'fontname','times','fontsize',14);
xlabel('x','fontname','times','fontsize',14);
pause
%print -depsc2 chebnsf.eps
close
